	.file	"fsearch.c"
gcc2_compiled.:
.data
	.align 4
	.type	 kps_switch,@object
	.size	 kps_switch,4
kps_switch:
	.long 0
.section	.rodata
.LC0:
	.string	"cx"
.data
	.align 4
	.type	 kps_mode,@object
	.size	 kps_mode,4
kps_mode:
	.long .LC0
	.align 4
	.type	 kps_dpi,@object
	.size	 kps_dpi,4
kps_dpi:
	.long 300
.section	.rodata
.LC1:
	.string	"/usr/local/bin/vflserver"
.data
	.align 4
	.type	 kps_path,@object
	.size	 kps_path,4
kps_path:
	.long .LC1
.section	.rodata
.LC2:
	.string	"vflserver"
.data
	.align 4
	.type	 kps_prog,@object
	.size	 kps_prog,4
kps_prog:
	.long .LC2
	.align 4
	.type	 inited_prog.18,@object
	.size	 inited_prog.18,4
inited_prog.18:
	.long 0
.section	.rodata
.LC3:
	.string	">>Kpathsea: enabled\n"
.LC4:
	.string	">>Kpathsea: disabled\n"
	.align 32
.LC5:
	.string	">>Kpathsea: mode=%s, dpi=%d program=%s\n"
.text
	.align 4
.globl vf_kpathsea_init
	.type	 vf_kpathsea_init,@function
vf_kpathsea_init:
	pushl %ebp
	movl %esp,%ebp
	subl $24,%esp
	movl 20(%ebp),%eax
	movl %eax,kps_switch
	movl 16(%ebp),%eax
	movl %eax,kps_dpi
	cmpl $0,12(%ebp)
	je .L22
	movl 12(%ebp),%eax
	movl %eax,kps_mode
.L22:
	cmpl $0,8(%ebp)
	je .L23
	movl 8(%ebp),%eax
	movl %eax,kps_prog
.L23:
	cmpl $1,inited_prog.18
	jne .L24
	jmp .L21
	.p2align 4,,7
.L24:
	movl $1,inited_prog.18
	cmpl $1,vf_dbg_kpathsea
	jne .L25
	cmpl $1,kps_switch
	jne .L26
	addl $-12,%esp
	pushl $.LC3
	call printf
	addl $16,%esp
	jmp .L25
	.p2align 4,,7
.L26:
	addl $-12,%esp
	pushl $.LC4
	call printf
	addl $16,%esp
.L27:
.L25:
	cmpl $1,vf_dbg_kpathsea
	jne .L28
	movl kps_prog,%eax
	pushl %eax
	movl kps_dpi,%eax
	pushl %eax
	movl kps_mode,%eax
	pushl %eax
	pushl $.LC5
	call printf
	addl $16,%esp
.L28:
	addl $-8,%esp
	movl kps_prog,%eax
	pushl %eax
	movl kps_path,%eax
	pushl %eax
	call kpse_set_program_name
	addl $16,%esp
	pushl $0
	movl kps_mode,%eax
	pushl %eax
	movl kps_dpi,%eax
	pushl %eax
	movl kps_prog,%eax
	pushl %eax
	call kpse_init_prog
	addl $16,%esp
	movl $0,-4(%ebp)
	.p2align 4,,7
.L29:
	cmpl $40,-4(%ebp)
	jle .L32
	jmp .L30
	.p2align 4,,7
.L32:
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call kpse_init_format
	addl $16,%esp
.L31:
	incl -4(%ebp)
	jmp .L29
	.p2align 4,,7
.L30:
.L21:
	leave
	ret
.Lfe1:
	.size	 vf_kpathsea_init,.Lfe1-vf_kpathsea_init
.section	.rodata
.LC6:
	.string	"r+"
.LC7:
	.string	"sh"
.LC8:
	.string	"-c"
.LC9:
	.string	"/bin/sh"
.text
	.align 4
.globl x_popen
	.type	 x_popen,@function
x_popen:
	pushl %ebp
	movl %esp,%ebp
	subl $56,%esp
	addl $-8,%esp
	pushl $43
	movl 12(%ebp),%eax
	pushl %eax
	call strchr
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	je .L34
	movl $1,-24(%ebp)
	movl $.LC6,12(%ebp)
	jmp .L35
	.p2align 4,,7
.L34:
	movl $0,-24(%ebp)
	movl 12(%ebp),%eax
	cmpb $114,(%eax)
	je .L38
	movl 12(%ebp),%eax
	cmpb $119,(%eax)
	jne .L37
	jmp .L38
	.p2align 4,,7
.L38:
	movl 12(%ebp),%eax
	incl %eax
	cmpb $0,(%eax)
	jne .L37
	jmp .L35
	.p2align 4,,7
.L37:
	xorl %eax,%eax
	jmp .L33
	.p2align 4,,7
.L36:
.L35:
	addl $-12,%esp
	leal -16(%ebp),%eax
	pushl %eax
	call pipe
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jge .L39
	xorl %eax,%eax
	jmp .L33
	.p2align 4,,7
.L39:
	addl $-12,%esp
	pushl $12
	call malloc
	addl $16,%esp
	movl %eax,%eax
	movl %eax,%edx
	movl %edx,%eax
	movl %eax,-4(%ebp)
	testl %eax,%eax
	jne .L40
	addl $-12,%esp
	movl -16(%ebp),%eax
	pushl %eax
	call close
	addl $16,%esp
	addl $-12,%esp
	movl -12(%ebp),%eax
	pushl %eax
	call close
	addl $16,%esp
	xorl %eax,%eax
	jmp .L33
	.p2align 4,,7
.L40:
	movl $.LC7,-40(%ebp)
	movl $.LC8,-36(%ebp)
	movl 8(%ebp),%eax
	movl %eax,-32(%ebp)
	movl $0,-28(%ebp)
	call vfork
	movl %eax,%eax
	movl %eax,-20(%ebp)
	movl -20(%ebp),%eax
	cmpl $-1,%eax
	je .L42
	testl %eax,%eax
	je .L43
	jmp .L41
	.p2align 4,,7
.L42:
	addl $-12,%esp
	movl -16(%ebp),%eax
	pushl %eax
	call close
	addl $16,%esp
	addl $-12,%esp
	movl -12(%ebp),%eax
	pushl %eax
	call close
	addl $16,%esp
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call free
	addl $16,%esp
	xorl %eax,%eax
	jmp .L33
	.p2align 4,,7
.L43:
	movl 12(%ebp),%eax
	cmpb $114,(%eax)
	jne .L44
	addl $-12,%esp
	movl -16(%ebp),%eax
	pushl %eax
	call close
	addl $16,%esp
	cmpl $1,-12(%ebp)
	je .L45
	addl $-8,%esp
	pushl $1
	movl -12(%ebp),%eax
	pushl %eax
	call dup2
	addl $16,%esp
	addl $-12,%esp
	movl -12(%ebp),%eax
	pushl %eax
	call close
	addl $16,%esp
	cmpl $0,-24(%ebp)
	je .L46
	addl $-8,%esp
	pushl $0
	pushl $1
	call dup2
	addl $16,%esp
.L46:
	jmp .L47
	.p2align 4,,7
.L45:
	cmpl $0,-24(%ebp)
	je .L47
	cmpl $0,-12(%ebp)
	je .L47
	addl $-8,%esp
	pushl $0
	movl -12(%ebp),%eax
	pushl %eax
	call dup2
	addl $16,%esp
.L48:
.L47:
	jmp .L49
	.p2align 4,,7
.L44:
	cmpl $0,-16(%ebp)
	je .L50
	addl $-8,%esp
	pushl $0
	movl -16(%ebp),%eax
	pushl %eax
	call dup2
	addl $16,%esp
	addl $-12,%esp
	movl -16(%ebp),%eax
	pushl %eax
	call close
	addl $16,%esp
.L50:
	addl $-12,%esp
	movl -12(%ebp),%eax
	pushl %eax
	call close
	addl $16,%esp
.L49:
	nop
	movl pidlist,%eax
	movl %eax,-44(%ebp)
	.p2align 4,,7
.L51:
	cmpl $0,-44(%ebp)
	jne .L54
	jmp .L52
	.p2align 4,,7
.L54:
	addl $-12,%esp
	movl -44(%ebp),%eax
	movl 4(%eax),%edx
	movswl 14(%edx),%eax
	pushl %eax
	call close
	addl $16,%esp
.L53:
	movl -44(%ebp),%eax
	movl (%eax),%edx
	movl %edx,-44(%ebp)
	jmp .L51
	.p2align 4,,7
.L52:
	addl $-4,%esp
	movl environ,%eax
	pushl %eax
	leal -40(%ebp),%eax
	pushl %eax
	pushl $.LC9
	call execve
	addl $16,%esp
	addl $-12,%esp
	pushl $127
	call _exit
	addl $16,%esp
	.p2align 4,,7
.L56:
.L41:
	movl 12(%ebp),%eax
	cmpb $114,(%eax)
	jne .L57
	addl $-8,%esp
	movl 12(%ebp),%eax
	pushl %eax
	movl -16(%ebp),%eax
	pushl %eax
	call fdopen
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-8(%ebp)
	addl $-12,%esp
	movl -12(%ebp),%eax
	pushl %eax
	call close
	addl $16,%esp
	jmp .L58
	.p2align 4,,7
.L57:
	addl $-8,%esp
	movl 12(%ebp),%eax
	pushl %eax
	movl -12(%ebp),%eax
	pushl %eax
	call fdopen
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-8(%ebp)
	addl $-12,%esp
	movl -16(%ebp),%eax
	pushl %eax
	call close
	addl $16,%esp
.L58:
	movl -4(%ebp),%eax
	movl -8(%ebp),%edx
	movl %edx,4(%eax)
	movl -4(%ebp),%eax
	movl -20(%ebp),%edx
	movl %edx,8(%eax)
	movl -4(%ebp),%eax
	movl pidlist,%edx
	movl %edx,(%eax)
	movl -4(%ebp),%eax
	movl %eax,pidlist
	movl -8(%ebp),%edx
	movl %edx,%eax
	jmp .L33
	.p2align 4,,7
.L33:
	leave
	ret
.Lfe2:
	.size	 x_popen,.Lfe2-x_popen
	.align 4
.globl x_pclose
	.type	 x_pclose,@function
x_pclose:
	pushl %ebp
	movl %esp,%ebp
	subl $32,%esp
	pushl %esi
	pushl %ebx
	xorl %esi,%esi
	movl pidlist,%ebx
	.p2align 4,,7
.L60:
	testl %ebx,%ebx
	jne .L63
	jmp .L61
	.p2align 4,,7
.L63:
	movl 4(%ebx),%eax
	cmpl 8(%ebp),%eax
	jne .L62
	jmp .L61
	.p2align 4,,7
.L64:
.L62:
	movl %ebx,%esi
	movl (%ebx),%ebx
	jmp .L60
	.p2align 4,,7
.L61:
	testl %ebx,%ebx
	jne .L65
	movl $-1,%eax
	jmp .L59
	.p2align 4,,7
.L65:
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call kpse_fclose_trace
	addl $16,%esp
	.p2align 4,,7
.L66:
	addl $-4,%esp
	pushl $0
	leal -8(%ebp),%eax
	pushl %eax
	movl 8(%ebx),%eax
	pushl %eax
	call waitpid
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-12(%ebp)
.L68:
	cmpl $-1,-12(%ebp)
	jne .L70
	call __error
	movl %eax,%eax
	cmpl $4,(%eax)
	je .L69
	jmp .L70
	.p2align 4,,7
.L70:
	jmp .L67
	.p2align 4,,7
.L69:
	jmp .L66
	.p2align 4,,7
.L67:
	testl %esi,%esi
	jne .L71
	movl (%ebx),%eax
	movl %eax,pidlist
	jmp .L72
	.p2align 4,,7
.L71:
	movl (%ebx),%eax
	movl %eax,(%esi)
.L72:
	addl $-12,%esp
	pushl %ebx
	call free
	addl $16,%esp
	cmpl $-1,-12(%ebp)
	je .L73
	movl -8(%ebp),%eax
	jmp .L74
	.p2align 4,,7
.L73:
	movl $-1,%eax
.L74:
	movl %eax,%eax
	jmp .L59
.L59:
	leal -40(%ebp),%esp
	popl %ebx
	popl %esi
	leave
	ret
.Lfe3:
	.size	 x_pclose,.Lfe3-x_pclose
.data
	.align 4
	.type	 vf_uncompresser_alist,@object
	.size	 vf_uncompresser_alist,4
vf_uncompresser_alist:
	.long 0
.section	.rodata
.LC10:
	.string	"Not an alist."
	.align 32
.LC11:
	.string	"VFlib Error [fsearch.c:VF_AddUncompresser]: %s\n"
.text
	.align 4
.globl vf_add_uncompresser_alist
	.type	 vf_add_uncompresser_alist,@function
vf_add_uncompresser_alist:
	pushl %ebp
	movl %esp,%ebp
	subl $24,%esp
	cmpl $0,8(%ebp)
	jne .L76
	xorl %eax,%eax
	jmp .L75
	.p2align 4,,7
.L76:
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call vf_sexp_alistp
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L77
	addl $-4,%esp
	pushl $.LC10
	pushl $.LC11
	pushl $__sF+176
	call fprintf
	addl $16,%esp
	movl $-1,%eax
	jmp .L75
	.p2align 4,,7
.L77:
	movl vf_uncompresser_alist,%eax
	movl %eax,-4(%ebp)
	addl $-8,%esp
	movl -4(%ebp),%eax
	pushl %eax
	movl 8(%ebp),%eax
	pushl %eax
	call vf_sexp_nconc
	addl $16,%esp
	movl 8(%ebp),%eax
	movl %eax,vf_uncompresser_alist
	xorl %eax,%eax
	jmp .L75
	.p2align 4,,7
.L75:
	leave
	ret
.Lfe4:
	.size	 vf_add_uncompresser_alist,.Lfe4-vf_add_uncompresser_alist
.section	.rodata
.LC12:
	.string	"%s %s"
.LC13:
	.string	"r"
.text
	.align 4
.globl vf_open_uncompress_stream
	.type	 vf_open_uncompress_stream,@function
vf_open_uncompress_stream:
	pushl %ebp
	movl %esp,%ebp
	subl $20,%esp
	pushl %ebx
	addl $-12,%esp
	addl $-12,%esp
	movl 12(%ebp),%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,%ebx
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,%eax
	leal (%eax,%ebx),%edx
	leal 16(%edx),%eax
	pushl %eax
	call malloc
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-8(%ebp)
	cmpl $0,-8(%ebp)
	jne .L79
	xorl %eax,%eax
	jmp .L78
	.p2align 4,,7
.L79:
	movl 8(%ebp),%eax
	pushl %eax
	movl 12(%ebp),%eax
	pushl %eax
	pushl $.LC12
	movl -8(%ebp),%eax
	pushl %eax
	call sprintf
	addl $16,%esp
	addl $-8,%esp
	pushl $.LC13
	movl -8(%ebp),%eax
	pushl %eax
	call x_popen
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	addl $-12,%esp
	movl -8(%ebp),%eax
	pushl %eax
	call free
	addl $16,%esp
	movl -4(%ebp),%edx
	movl %edx,%eax
	jmp .L78
	.p2align 4,,7
.L78:
	movl -24(%ebp),%ebx
	leave
	ret
.Lfe5:
	.size	 vf_open_uncompress_stream,.Lfe5-vf_open_uncompress_stream
	.align 4
.globl vf_close_uncompress_stream
	.type	 vf_close_uncompress_stream,@function
vf_close_uncompress_stream:
	pushl %ebp
	movl %esp,%ebp
	subl $8,%esp
	cmpl $0,8(%ebp)
	je .L81
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call x_pclose
	addl $16,%esp
.L81:
	xorl %eax,%eax
	jmp .L80
	.p2align 4,,7
.L80:
	leave
	ret
.Lfe6:
	.size	 vf_close_uncompress_stream,.Lfe6-vf_close_uncompress_stream
.section	.rodata
.LC14:
	.string	">> File search: %s\n"
.LC15:
	.string	">>  File search: Found %s\n"
	.align 32
.LC16:
	.string	">>  File search: Not found (no such absolute path)\n"
	.align 32
.LC17:
	.string	">>  File search: Not found (empty dir list)\n"
.LC18:
	.string	"TEXMF"
.LC19:
	.string	"KPATHSEA"
	.align 32
.LC20:
	.string	"VFlib Warning: Unsupported file format by kpathsea.\n"
.LC21:
	.string	">>  File search: Not found\n"
.text
	.align 4
.globl vf_search_file
	.type	 vf_search_file,@function
vf_search_file:
	pushl %ebp
	movl %esp,%ebp
	subl $24,%esp
	cmpl $0,8(%ebp)
	jne .L83
	xorl %eax,%eax
	jmp .L82
	.p2align 4,,7
.L83:
	cmpl $1,vf_dbg_font_search
	jne .L84
	addl $-8,%esp
	movl 8(%ebp),%eax
	pushl %eax
	pushl $.LC14
	call printf
	addl $16,%esp
.L84:
	cmpl $0,36(%ebp)
	je .L85
	movl 36(%ebp),%eax
	movl $0,(%eax)
.L85:
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call vf_path_absolute
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	je .L86
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call vf_path_file_read_ok
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	je .L87
	cmpl $1,vf_dbg_font_search
	jne .L88
	addl $-8,%esp
	movl 8(%ebp),%eax
	pushl %eax
	pushl $.LC15
	call printf
	addl $16,%esp
.L88:
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call vf_strdup
	addl $16,%esp
	movl %eax,%edx
	movl %edx,%eax
	jmp .L82
	.p2align 4,,7
.L87:
	cmpl $1,vf_dbg_font_search
	jne .L89
	addl $-12,%esp
	pushl $.LC16
	call printf
	addl $16,%esp
.L89:
	xorl %eax,%eax
	jmp .L82
	.p2align 4,,7
.L86:
	cmpl $0,28(%ebp)
	je .L91
	addl $-12,%esp
	movl 28(%ebp),%eax
	pushl %eax
	call vf_sexp_listp
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L90
	jmp .L91
	.p2align 4,,7
.L91:
	cmpl $1,vf_dbg_font_search
	jne .L92
	addl $-12,%esp
	pushl $.LC17
	call printf
	addl $16,%esp
.L92:
	xorl %eax,%eax
	jmp .L82
	.p2align 4,,7
.L90:
	movl $0,-8(%ebp)
	movl 28(%ebp),%eax
	movl %eax,-4(%ebp)
	.p2align 4,,7
.L93:
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call vf_sexp_consp
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L96
	jmp .L94
	.p2align 4,,7
.L96:
	addl $-12,%esp
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call vf_sexp_car
	addl $16,%esp
	movl %eax,%eax
	pushl %eax
	call vf_sexp_get_cstring
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-12(%ebp)
	cmpl $0,-12(%ebp)
	jne .L97
	jmp .L95
	.p2align 4,,7
.L97:
	addl $-8,%esp
	pushl $.LC18
	movl -12(%ebp),%eax
	pushl %eax
	call vf_strcmp_ci
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	je .L99
	addl $-8,%esp
	pushl $.LC19
	movl -12(%ebp),%eax
	pushl %eax
	call vf_strcmp_ci
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L98
	jmp .L99
	.p2align 4,,7
.L99:
	cmpl $0,20(%ebp)
	jne .L100
	addl $-8,%esp
	pushl $.LC20
	pushl $__sF+176
	call fprintf
	addl $16,%esp
	jmp .L95
	.p2align 4,,7
.L100:
	cmpl $0,kps_switch
	jne .L101
	jmp .L95
	.p2align 4,,7
.L101:
	movl 24(%ebp),%eax
	pushl %eax
	movl 16(%ebp),%eax
	pushl %eax
	movl 12(%ebp),%eax
	pushl %eax
	movl 8(%ebp),%eax
	pushl %eax
	call search_file_kpathsea
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-8(%ebp)
	jmp .L102
	.p2align 4,,7
.L98:
	addl $-12,%esp
	leal -16(%ebp),%eax
	pushl %eax
	movl 36(%ebp),%eax
	pushl %eax
	movl 32(%ebp),%eax
	pushl %eax
	movl -12(%ebp),%eax
	pushl %eax
	movl 8(%ebp),%eax
	pushl %eax
	call search_in_fdb
	addl $32,%esp
	movl %eax,%eax
	movl %eax,-8(%ebp)
	cmpl $-2,-16(%ebp)
	jne .L102
	addl $-12,%esp
	movl -12(%ebp),%eax
	pushl %eax
	call vf_path_terminated_by_2delims
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L104
	movl 36(%ebp),%eax
	pushl %eax
	movl 32(%ebp),%eax
	pushl %eax
	movl -12(%ebp),%eax
	pushl %eax
	movl 8(%ebp),%eax
	pushl %eax
	call search_file
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-8(%ebp)
	jmp .L102
	.p2align 4,,7
.L104:
	movl 36(%ebp),%eax
	pushl %eax
	movl 32(%ebp),%eax
	pushl %eax
	movl -12(%ebp),%eax
	pushl %eax
	movl 8(%ebp),%eax
	pushl %eax
	call search_file_recursive
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-8(%ebp)
.L105:
.L103:
.L102:
	cmpl $0,-8(%ebp)
	je .L95
	jmp .L94
	.p2align 4,,7
.L106:
.L95:
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call vf_sexp_cdr
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	jmp .L93
	.p2align 4,,7
.L94:
	cmpl $1,vf_dbg_font_search
	jne .L107
	cmpl $0,-8(%ebp)
	je .L108
	addl $-8,%esp
	movl -8(%ebp),%eax
	pushl %eax
	pushl $.LC15
	call printf
	addl $16,%esp
	jmp .L107
	.p2align 4,,7
.L108:
	addl $-12,%esp
	pushl $.LC21
	call printf
	addl $16,%esp
.L109:
.L107:
	cmpl $0,-8(%ebp)
	jne .L110
	xorl %eax,%eax
	jmp .L82
	.p2align 4,,7
.L110:
	movl -8(%ebp),%edx
	movl %edx,%eax
	jmp .L82
	.p2align 4,,7
.L82:
	leave
	ret
.Lfe7:
	.size	 vf_search_file,.Lfe7-vf_search_file
.section	.rodata
.LC22:
	.string	"VFlib.fdb"
.LC23:
	.string	">> No font hint db file: %s\n"
.LC24:
	.string	">> Reading hint db file: %s\n"
.LC25:
	.string	">> Found in db file: %s\n"
.LC26:
	.string	">> Not found in db file\n"
.text
	.align 4
	.type	 search_in_fdb,@function
search_in_fdb:
	pushl %ebp
	movl %esp,%ebp
	subl $2088,%esp
	cmpl $0,12(%ebp)
	jne .L112
	movl 24(%ebp),%eax
	movl $-2,(%eax)
	xorl %eax,%eax
	jmp .L111
	.p2align 4,,7
.L112:
	pushl $.LC22
	movl 12(%ebp),%eax
	pushl %eax
	pushl $1024
	leal -1024(%ebp),%eax
	pushl %eax
	call vf_path_cons_path
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jl .L114
	addl $-12,%esp
	leal -1024(%ebp),%eax
	pushl %eax
	call vf_path_file_read_ok
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	je .L114
	addl $-8,%esp
	pushl $.LC13
	leal -1024(%ebp),%eax
	pushl %eax
	call kpse_fopen_trace
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-2060(%ebp)
	cmpl $0,-2060(%ebp)
	jne .L113
	jmp .L114
	.p2align 4,,7
.L114:
	cmpl $1,vf_dbg_font_search
	jne .L115
	addl $-8,%esp
	leal -1024(%ebp),%eax
	pushl %eax
	pushl $.LC23
	call printf
	addl $16,%esp
.L115:
	movl 24(%ebp),%eax
	movl $-2,(%eax)
	xorl %eax,%eax
	jmp .L111
	.p2align 4,,7
.L113:
	cmpl $1,vf_dbg_font_search
	jne .L116
	addl $-8,%esp
	leal -1024(%ebp),%eax
	pushl %eax
	pushl $.LC24
	call printf
	addl $16,%esp
.L116:
	movl $1024,-2056(%ebp)
	addl $-8,%esp
	pushl $1
	movl -2056(%ebp),%eax
	pushl %eax
	call calloc
	addl $16,%esp
	movl %eax,%eax
	movl %eax,%edx
	movl %edx,%eax
	movl %eax,-2052(%ebp)
	testl %eax,%eax
	jne .L117
	movl 24(%ebp),%eax
	movl $-2,(%eax)
	addl $-12,%esp
	movl -2060(%ebp),%eax
	pushl %eax
	call kpse_fclose_trace
	addl $16,%esp
	xorl %eax,%eax
	jmp .L111
	.p2align 4,,7
.L117:
	addl $-12,%esp
	movl -2056(%ebp),%eax
	pushl %eax
	movl -2052(%ebp),%eax
	pushl %eax
	movl 8(%ebp),%eax
	pushl %eax
	movl 12(%ebp),%eax
	pushl %eax
	movl -2060(%ebp),%eax
	pushl %eax
	call search_fdb_fp
	addl $32,%esp
	movl %eax,%eax
	testl %eax,%eax
	jl .L118
	movl 24(%ebp),%eax
	movl $0,(%eax)
	jmp .L119
	.p2align 4,,7
.L118:
	movl 24(%ebp),%eax
	movl $-1,(%eax)
	movl 16(%ebp),%eax
	movl %eax,-2064(%ebp)
	.p2align 4,,7
.L120:
	addl $-12,%esp
	movl -2064(%ebp),%eax
	pushl %eax
	call vf_sexp_consp
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L123
	jmp .L121
	.p2align 4,,7
.L123:
	addl $-12,%esp
	addl $-12,%esp
	movl -2064(%ebp),%eax
	pushl %eax
	call vf_sexp_car
	addl $16,%esp
	movl %eax,%eax
	pushl %eax
	call vf_sexp_get_cstring
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-2068(%ebp)
	addl $-4,%esp
	pushl $1024
	movl 8(%ebp),%eax
	pushl %eax
	leal -2048(%ebp),%eax
	pushl %eax
	call strncpy
	addl $16,%esp
	addl $-4,%esp
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,%eax
	movl $1024,%edx
	movl %edx,%ecx
	subl %eax,%ecx
	movl %ecx,%eax
	pushl %eax
	movl -2068(%ebp),%eax
	pushl %eax
	leal -2048(%ebp),%eax
	pushl %eax
	call strncat
	addl $16,%esp
	addl $-4,%esp
	pushl $0
	pushl $0
	movl -2060(%ebp),%eax
	pushl %eax
	call fseek
	addl $16,%esp
	addl $-12,%esp
	movl -2056(%ebp),%eax
	pushl %eax
	movl -2052(%ebp),%eax
	pushl %eax
	leal -2048(%ebp),%eax
	pushl %eax
	movl 12(%ebp),%eax
	pushl %eax
	movl -2060(%ebp),%eax
	pushl %eax
	call search_fdb_fp
	addl $32,%esp
	movl %eax,%eax
	testl %eax,%eax
	jl .L122
	addl $-4,%esp
	movl 20(%ebp),%eax
	pushl %eax
	movl 16(%ebp),%eax
	pushl %eax
	movl -2068(%ebp),%eax
	pushl %eax
	call ext2uncprog
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jl .L122
	movl 24(%ebp),%eax
	movl $0,(%eax)
	jmp .L121
	.p2align 4,,7
.L124:
.L122:
	addl $-12,%esp
	movl -2064(%ebp),%eax
	pushl %eax
	call vf_sexp_cdr
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-2064(%ebp)
	jmp .L120
	.p2align 4,,7
.L121:
	nop
.L119:
	addl $-12,%esp
	movl -2060(%ebp),%eax
	pushl %eax
	call kpse_fclose_trace
	addl $16,%esp
	movl 24(%ebp),%eax
	cmpl $0,(%eax)
	je .L125
	cmpl $0,-2052(%ebp)
	je .L126
	addl $-12,%esp
	movl -2052(%ebp),%eax
	pushl %eax
	call free
	addl $16,%esp
.L126:
	movl $0,-2052(%ebp)
.L125:
	cmpl $1,vf_dbg_font_search
	jne .L127
	cmpl $0,-2052(%ebp)
	je .L128
	addl $-8,%esp
	movl -2052(%ebp),%eax
	pushl %eax
	pushl $.LC25
	call printf
	addl $16,%esp
	jmp .L127
	.p2align 4,,7
.L128:
	addl $-12,%esp
	pushl $.LC26
	call printf
	addl $16,%esp
.L129:
.L127:
	movl -2052(%ebp),%edx
	movl %edx,%eax
	jmp .L111
	.p2align 4,,7
.L111:
	leave
	ret
.Lfe8:
	.size	 search_in_fdb,.Lfe8-search_in_fdb
	.align 4
	.type	 search_fdb_fp,@function
search_fdb_fp:
	pushl %ebp
	movl %esp,%ebp
	subl $1048,%esp
	cmpl $0,8(%ebp)
	je .L132
	cmpl $0,12(%ebp)
	je .L132
	cmpl $0,16(%ebp)
	je .L132
	cmpl $0,20(%ebp)
	jne .L131
	jmp .L132
	.p2align 4,,7
.L132:
	movl $-1,%eax
	jmp .L130
	.p2align 4,,7
.L131:
	addl $-12,%esp
	movl 12(%ebp),%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,-1036(%ebp)
	addl $-12,%esp
	movl 16(%ebp),%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,-1032(%ebp)
	.p2align 4,,7
.L133:
	addl $-4,%esp
	movl 8(%ebp),%eax
	pushl %eax
	pushl $1024
	leal -1024(%ebp),%eax
	pushl %eax
	call fgets
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L135
	jmp .L134
	.p2align 4,,7
.L135:
	addl $-4,%esp
	movl -1032(%ebp),%eax
	pushl %eax
	leal -1024(%ebp),%eax
	pushl %eax
	movl 16(%ebp),%eax
	pushl %eax
	call strncmp
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L136
	addl $-8,%esp
	pushl $16384
	leal -1024(%ebp),%eax
	movl -1032(%ebp),%edx
	movsbl (%edx,%eax),%eax
	pushl %eax
	call __maskrune
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	je .L136
	leal -1024(%ebp),%eax
	movl -1032(%ebp),%edx
	addl %eax,%edx
	movl %edx,-1028(%ebp)
	.p2align 4,,7
.L137:
	movl -1028(%ebp),%eax
	cmpb $0,(%eax)
	je .L141
	addl $-8,%esp
	pushl $16384
	movl -1028(%ebp),%eax
	movsbl (%eax),%edx
	pushl %edx
	call __maskrune
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L139
	jmp .L141
	.p2align 4,,7
.L141:
	jmp .L138
	.p2align 4,,7
.L140:
.L139:
	incl -1028(%ebp)
	jmp .L137
	.p2align 4,,7
.L138:
	movl -1028(%ebp),%eax
	cmpb $0,(%eax)
	jne .L142
	jmp .L134
	.p2align 4,,7
.L142:
	nop
	movl $0,-1040(%ebp)
	.p2align 4,,7
.L143:
	movl -1028(%ebp),%eax
	movl -1040(%ebp),%edx
	addl %edx,%eax
	cmpb $0,(%eax)
	jne .L146
	jmp .L144
	.p2align 4,,7
.L146:
	addl $-8,%esp
	pushl $16384
	movl -1028(%ebp),%eax
	movl -1040(%ebp),%edx
	addl %edx,%eax
	movsbl (%eax),%edx
	pushl %edx
	call __maskrune
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	je .L145
	movl -1028(%ebp),%eax
	movl -1040(%ebp),%edx
	addl %edx,%eax
	movb $0,(%eax)
	jmp .L144
	.p2align 4,,7
.L147:
.L145:
	incl -1040(%ebp)
	jmp .L143
	.p2align 4,,7
.L144:
	movl -1028(%ebp),%eax
	pushl %eax
	movl 12(%ebp),%eax
	pushl %eax
	movl 24(%ebp),%eax
	pushl %eax
	movl 20(%ebp),%eax
	pushl %eax
	call vf_path_cons_path
	addl $16,%esp
	xorl %eax,%eax
	jmp .L130
	.p2align 4,,7
.L136:
	jmp .L133
	.p2align 4,,7
.L134:
	movl $-1,%eax
	jmp .L130
	.p2align 4,,7
.L130:
	leave
	ret
.Lfe9:
	.size	 search_fdb_fp,.Lfe9-search_fdb_fp
	.align 4
.globl vf_find_file_in_directory
	.type	 vf_find_file_in_directory,@function
vf_find_file_in_directory:
	pushl %ebp
	movl %esp,%ebp
	subl $8,%esp
	pushl $0
	pushl $0
	movl 12(%ebp),%eax
	pushl %eax
	movl 8(%ebp),%eax
	pushl %eax
	call search_file
	addl $16,%esp
	movl %eax,%edx
	movl %edx,%eax
	jmp .L148
	.p2align 4,,7
.L148:
	leave
	ret
.Lfe10:
	.size	 vf_find_file_in_directory,.Lfe10-vf_find_file_in_directory
.section	.rodata
.LC27:
	.string	">> Kpathsea: Search %s\n"
.LC28:
	.string	">> Kpathsea: Found %s\n"
.LC29:
	.string	">> Kpathsea: Not found\n"
.text
	.align 4
	.type	 search_file_kpathsea,@function
search_file_kpathsea:
	pushl %ebp
	movl %esp,%ebp
	subl $40,%esp
	cmpl $0,kps_switch
	jne .L150
	xorl %eax,%eax
	jmp .L149
	.p2align 4,,7
.L150:
	cmpl $1,vf_dbg_kpathsea
	jne .L151
	addl $-8,%esp
	movl 8(%ebp),%eax
	pushl %eax
	pushl $.LC27
	call printf
	addl $16,%esp
.L151:
	movl $0,-4(%ebp)
	movl 20(%ebp),%eax
	decl %eax
	cmpl $13,%eax
	ja .L166
	movl .L167(,%eax,4),%eax
	jmp *%eax
	.p2align 4,,7
.section	.rodata
	.align 4
	.align 4
.L167:
	.long .L153
	.long .L154
	.long .L155
	.long .L157
	.long .L160
	.long .L159
	.long .L166
	.long .L166
	.long .L166
	.long .L161
	.long .L162
	.long .L163
	.long .L164
	.long .L165
.text
	.p2align 4,,7
.L153:
	leal -20(%ebp),%eax
	pushl %eax
	pushl $0
	movl 12(%ebp),%eax
	pushl %eax
	movl 16(%ebp),%eax
	pushl %eax
	call kpse_find_glyph
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	jmp .L152
	.p2align 4,,7
.L154:
	leal -20(%ebp),%eax
	pushl %eax
	pushl $1
	movl 12(%ebp),%eax
	pushl %eax
	movl 16(%ebp),%eax
	pushl %eax
	call kpse_find_glyph
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	jmp .L152
	.p2align 4,,7
.L155:
	addl $-4,%esp
	pushl $0
	pushl $33
	movl 8(%ebp),%eax
	pushl %eax
	call kpse_find_file
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	jne .L156
	addl $-4,%esp
	pushl $0
	pushl $23
	movl 8(%ebp),%eax
	pushl %eax
	call kpse_find_file
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
.L156:
	jmp .L152
	.p2align 4,,7
.L157:
	addl $-4,%esp
	pushl $1
	pushl $3
	movl 8(%ebp),%eax
	pushl %eax
	call kpse_find_file
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	jne .L158
	addl $-4,%esp
	pushl $1
	pushl $20
	movl 8(%ebp),%eax
	pushl %eax
	call kpse_find_file
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
.L158:
	jmp .L152
	.p2align 4,,7
.L159:
	addl $-4,%esp
	pushl $0
	pushl $23
	movl 8(%ebp),%eax
	pushl %eax
	call kpse_find_file
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	jmp .L152
	.p2align 4,,7
.L160:
	addl $-4,%esp
	pushl $1
	pushl $20
	movl 8(%ebp),%eax
	pushl %eax
	call kpse_find_file
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	jmp .L152
	.p2align 4,,7
.L161:
	addl $-4,%esp
	pushl $0
	pushl $36
	movl 8(%ebp),%eax
	pushl %eax
	call kpse_find_file
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	jmp .L152
	.p2align 4,,7
.L162:
	addl $-4,%esp
	pushl $0
	pushl $32
	movl 8(%ebp),%eax
	pushl %eax
	call kpse_find_file
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	jmp .L152
	.p2align 4,,7
.L163:
	addl $-4,%esp
	pushl $0
	pushl $37
	movl 8(%ebp),%eax
	pushl %eax
	call kpse_find_file
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	jmp .L152
	.p2align 4,,7
.L164:
	addl $-4,%esp
	pushl $0
	pushl $4
	movl 8(%ebp),%eax
	pushl %eax
	call kpse_find_file
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	jmp .L152
	.p2align 4,,7
.L165:
	addl $-4,%esp
	pushl $0
	pushl $30
	movl 8(%ebp),%eax
	pushl %eax
	call kpse_find_file
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	jmp .L152
	.p2align 4,,7
.L166:
	movl $0,-4(%ebp)
	jmp .L152
	.p2align 4,,7
.L152:
	cmpl $1,vf_dbg_kpathsea
	jne .L168
	cmpl $0,-4(%ebp)
	je .L169
	addl $-8,%esp
	movl -4(%ebp),%eax
	pushl %eax
	pushl $.LC28
	call printf
	addl $16,%esp
	jmp .L168
	.p2align 4,,7
.L169:
	addl $-12,%esp
	pushl $.LC29
	call printf
	addl $16,%esp
.L170:
.L168:
	cmpl $0,-4(%ebp)
	jne .L171
	xorl %eax,%eax
	jmp .L149
	.p2align 4,,7
.L171:
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call vf_strdup
	addl $16,%esp
	movl %eax,%edx
	movl %edx,%eax
	jmp .L149
	.p2align 4,,7
.L149:
	leave
	ret
.Lfe11:
	.size	 search_file_kpathsea,.Lfe11-search_file_kpathsea
.section	.rodata
.LC30:
	.string	""
.text
	.align 4
	.type	 search_file,@function
search_file:
	pushl %ebp
	movl %esp,%ebp
	subl $36,%esp
	pushl %ebx
	movl $0,-8(%ebp)
	cmpl $0,12(%ebp)
	je .L173
	addl $-12,%esp
	movl 12(%ebp),%eax
	pushl %eax
	call vf_path_directory_read_ok
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L173
	xorl %eax,%eax
	jmp .L172
	.p2align 4,,7
.L173:
	cmpl $0,12(%ebp)
	jne .L174
	movl $.LC30,12(%ebp)
.L174:
	addl $-12,%esp
	movl 12(%ebp),%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,%ebx
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,%eax
	leal (%eax,%ebx),%edx
	leal 64(%edx),%eax
	movl %eax,-12(%ebp)
	addl $-8,%esp
	pushl $1
	movl -12(%ebp),%eax
	pushl %eax
	call calloc
	addl $16,%esp
	movl %eax,%eax
	movl %eax,%edx
	movl %edx,%eax
	movl %eax,-4(%ebp)
	testl %eax,%eax
	jne .L175
	movl $2,vf_error
	xorl %eax,%eax
	jmp .L172
	.p2align 4,,7
.L175:
	movl 8(%ebp),%eax
	pushl %eax
	movl 12(%ebp),%eax
	pushl %eax
	movl -12(%ebp),%eax
	pushl %eax
	movl -4(%ebp),%eax
	pushl %eax
	call vf_path_cons_path
	addl $16,%esp
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call vf_path_file_read_ok
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	je .L176
	movl -4(%ebp),%edx
	movl %edx,%eax
	jmp .L172
	.p2align 4,,7
.L176:
	cmpl $0,16(%ebp)
	jne .L177
	cmpl $0,-4(%ebp)
	je .L178
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call free
	addl $16,%esp
.L178:
	xorl %eax,%eax
	jmp .L172
	.p2align 4,,7
.L177:
	movl $0,-16(%ebp)
	movl 16(%ebp),%eax
	movl %eax,-20(%ebp)
	.p2align 4,,7
.L179:
	addl $-12,%esp
	movl -20(%ebp),%eax
	pushl %eax
	call vf_sexp_consp
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L182
	jmp .L180
	.p2align 4,,7
.L182:
	addl $-12,%esp
	addl $-12,%esp
	movl -20(%ebp),%eax
	pushl %eax
	call vf_sexp_car
	addl $16,%esp
	movl %eax,%eax
	pushl %eax
	call vf_sexp_get_cstring
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-8(%ebp)
	addl $-12,%esp
	movl -8(%ebp),%eax
	pushl %eax
	movl 8(%ebp),%eax
	pushl %eax
	movl 12(%ebp),%eax
	pushl %eax
	movl -12(%ebp),%eax
	pushl %eax
	movl -4(%ebp),%eax
	pushl %eax
	call vf_path_cons_path2
	addl $32,%esp
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call vf_path_file_read_ok
	addl $16,%esp
	movl %eax,%eax
	cmpl $1,%eax
	jne .L181
	movl $1,-16(%ebp)
	jmp .L180
	.p2align 4,,7
.L183:
.L181:
	addl $-12,%esp
	movl -20(%ebp),%eax
	pushl %eax
	call vf_sexp_cdr
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-20(%ebp)
	jmp .L179
	.p2align 4,,7
.L180:
	cmpl $0,-16(%ebp)
	jne .L184
	xorl %eax,%eax
	jmp .L172
	.p2align 4,,7
.L184:
	addl $-4,%esp
	movl 20(%ebp),%eax
	pushl %eax
	movl 16(%ebp),%eax
	pushl %eax
	movl -8(%ebp),%eax
	pushl %eax
	call ext2uncprog
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jge .L185
	cmpl $0,-4(%ebp)
	je .L186
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call free
	addl $16,%esp
.L186:
	movl $0,-4(%ebp)
.L185:
	movl -4(%ebp),%edx
	movl %edx,%eax
	jmp .L172
	.p2align 4,,7
.L172:
	movl -40(%ebp),%ebx
	leave
	ret
.Lfe12:
	.size	 search_file,.Lfe12-search_file
.section	.rodata
	.align 32
.LC31:
	.string	"Undefined uncompression program for file extension"
.LC32:
	.string	"VFlib Warning: %s %s\n"
	.align 32
.LC33:
	.string	">>   Uncompression program: %s\n"
.text
	.align 4
	.type	 ext2uncprog,@function
ext2uncprog:
	pushl %ebp
	movl %esp,%ebp
	subl $24,%esp
	cmpl $0,16(%ebp)
	jne .L188
	movl $-1,%eax
	jmp .L187
	.p2align 4,,7
.L188:
	movl 16(%ebp),%eax
	movl $0,(%eax)
	movl vf_uncompresser_alist,%eax
	movl %eax,-12(%ebp)
	.p2align 4,,7
.L189:
	addl $-12,%esp
	movl -12(%ebp),%eax
	pushl %eax
	call vf_sexp_consp
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L192
	jmp .L190
	.p2align 4,,7
.L192:
	addl $-12,%esp
	movl -12(%ebp),%eax
	pushl %eax
	call vf_sexp_car
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-8(%ebp)
	addl $-12,%esp
	addl $-12,%esp
	movl -8(%ebp),%eax
	pushl %eax
	call vf_sexp_car
	addl $16,%esp
	movl %eax,%eax
	pushl %eax
	call vf_sexp_get_cstring
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	addl $-8,%esp
	movl 8(%ebp),%eax
	pushl %eax
	movl -4(%ebp),%eax
	pushl %eax
	call strcmp
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L191
	addl $-12,%esp
	addl $-12,%esp
	movl -8(%ebp),%eax
	pushl %eax
	call vf_sexp_cadr
	addl $16,%esp
	movl %eax,%eax
	pushl %eax
	call vf_sexp_get_cstring
	addl $16,%esp
	movl %eax,%eax
	movl 16(%ebp),%edx
	movl %eax,(%edx)
	jmp .L190
	.p2align 4,,7
.L193:
.L191:
	addl $-12,%esp
	movl -12(%ebp),%eax
	pushl %eax
	call vf_sexp_cdr
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-12(%ebp)
	jmp .L189
	.p2align 4,,7
.L190:
	movl 16(%ebp),%eax
	cmpl $0,(%eax)
	jne .L194
	movl 8(%ebp),%eax
	pushl %eax
	pushl $.LC31
	pushl $.LC32
	pushl $__sF+176
	call fprintf
	addl $16,%esp
	movl $-1,%eax
	jmp .L187
	.p2align 4,,7
.L194:
	cmpl $1,vf_dbg_font_search
	jne .L195
	addl $-8,%esp
	movl 16(%ebp),%eax
	movl (%eax),%edx
	pushl %edx
	pushl $.LC33
	call printf
	addl $16,%esp
.L195:
	xorl %eax,%eax
	jmp .L187
	.p2align 4,,7
.L187:
	leave
	ret
.Lfe13:
	.size	 ext2uncprog,.Lfe13-ext2uncprog
.section	.rodata
	.align 32
.LC35:
	.string	"Generating %s.%dpk (dpi=%d, mag=%.3f)...\n"
.LC36:
	.string	"failed.\n"
.LC37:
	.string	"done.\n"
	.align 8
.LC34:
	.long 0x0,0x3fe00000
.text
	.align 4
.globl vf_tex_make_glyph
	.type	 vf_tex_make_glyph,@function
vf_tex_make_glyph:
	pushl %ebp
	movl %esp,%ebp
	subl $56,%esp
	cmpl $2,8(%ebp)
	je .L197
	movl $-1,%eax
	jmp .L196
	.p2align 4,,7
.L197:
	addl $-12,%esp
	movl 12(%ebp),%eax
	pushl %eax
	call vf_path_base_core
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	jne .L198
	movl $-1,%eax
	jmp .L196
	.p2align 4,,7
.L198:
	addl $-4,%esp
	fldl 20(%ebp)
	subl $8,%esp
	fstpl (%esp)
	movl 16(%ebp),%eax
	pushl %eax
	fildl 16(%ebp)
	fmull 20(%ebp)
	fldl .LC34
	faddp %st,%st(1)
	fnstcw -30(%ebp)
	movw -30(%ebp),%ax
	orw $3072,%ax
	movw %ax,-32(%ebp)
	fldcw -32(%ebp)
	fistpll -40(%ebp)
	movl -40(%ebp),%edx
	movl -36(%ebp),%ecx
	fldcw -30(%ebp)
	movl %edx,%eax
	pushl %eax
	movl -4(%ebp),%eax
	pushl %eax
	pushl $.LC35
	pushl $__sF+176
	call fprintf
	addl $32,%esp
	addl $-12,%esp
	pushl $__sF+176
	call fflush
	addl $16,%esp
	addl $-4,%esp
	pushl $1
	pushl $1
	pushl $2
	call kpse_set_program_enabled
	addl $16,%esp
	leal -24(%ebp),%eax
	pushl %eax
	pushl $2
	fildl 16(%ebp)
	fmull 20(%ebp)
	fldl .LC34
	faddp %st,%st(1)
	fnstcw -30(%ebp)
	movw -30(%ebp),%ax
	orw $3072,%ax
	movw %ax,-32(%ebp)
	fldcw -32(%ebp)
	fistpll -40(%ebp)
	movl -40(%ebp),%edx
	movl -36(%ebp),%ecx
	fldcw -30(%ebp)
	movl %edx,%eax
	pushl %eax
	movl -4(%ebp),%eax
	pushl %eax
	call kpse_find_glyph
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-8(%ebp)
	cmpl $0,-8(%ebp)
	jne .L199
	addl $-8,%esp
	pushl $.LC36
	pushl $__sF+176
	call fprintf
	addl $16,%esp
	movl $-1,%eax
	jmp .L196
	.p2align 4,,7
.L199:
	addl $-8,%esp
	pushl $.LC37
	pushl $__sF+176
	call fprintf
	addl $16,%esp
	xorl %eax,%eax
	jmp .L196
	.p2align 4,,7
.L196:
	leave
	ret
.Lfe14:
	.size	 vf_tex_make_glyph,.Lfe14-vf_tex_make_glyph
.section	.rodata
	.align 32
.LC38:
	.string	">>  Search Recursively in: %s\n"
.text
	.align 4
	.type	 search_file_recursive,@function
search_file_recursive:
	pushl %ebp
	movl %esp,%ebp
	subl $24,%esp
	cmpl $0,12(%ebp)
	jne .L201
	xorl %eax,%eax
	jmp .L200
	.p2align 4,,7
.L201:
	addl $-12,%esp
	movl 12(%ebp),%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,%eax
	leal 1(%eax),%edx
	movl %edx,-12(%ebp)
	addl $-8,%esp
	pushl $1
	movl -12(%ebp),%eax
	pushl %eax
	call calloc
	addl $16,%esp
	movl %eax,%eax
	movl %eax,%edx
	movl %edx,%eax
	movl %eax,-4(%ebp)
	testl %eax,%eax
	jne .L202
	movl $2,vf_error
	xorl %eax,%eax
	jmp .L200
	.p2align 4,,7
.L202:
	addl $-8,%esp
	movl 12(%ebp),%eax
	pushl %eax
	movl -4(%ebp),%eax
	pushl %eax
	call strcpy
	addl $16,%esp
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call vf_path_del_terminating_2delims
	addl $16,%esp
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call vf_path_directory_read_ok
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L203
	xorl %eax,%eax
	jmp .L200
	.p2align 4,,7
.L203:
	cmpl $1,vf_dbg_font_search
	jne .L204
	addl $-8,%esp
	movl -4(%ebp),%eax
	pushl %eax
	pushl $.LC38
	call printf
	addl $16,%esp
.L204:
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call dtr_alloc
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-16(%ebp)
	cmpl $0,-16(%ebp)
	jne .L205
	cmpl $0,-4(%ebp)
	je .L206
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call free
	addl $16,%esp
.L206:
	xorl %eax,%eax
	jmp .L200
	.p2align 4,,7
.L205:
	movl 20(%ebp),%eax
	pushl %eax
	movl 16(%ebp),%eax
	pushl %eax
	movl 8(%ebp),%eax
	pushl %eax
	movl -16(%ebp),%eax
	pushl %eax
	call traverse_directory
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-8(%ebp)
	addl $-12,%esp
	movl -16(%ebp),%eax
	pushl %eax
	call dtr_free
	addl $16,%esp
	cmpl $0,-4(%ebp)
	je .L207
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call free
	addl $16,%esp
.L207:
	movl -8(%ebp),%edx
	movl %edx,%eax
	jmp .L200
	.p2align 4,,7
.L200:
	leave
	ret
.Lfe15:
	.size	 search_file_recursive,.Lfe15-search_file_recursive
.section	.rodata
.LC39:
	.string	">>    Searching in: %s\n"
.LC40:
	.string	"."
.LC41:
	.string	".."
.text
	.align 4
	.type	 traverse_directory,@function
traverse_directory:
	pushl %ebp
	movl %esp,%ebp
	subl $136,%esp
	cmpl $1,vf_dbg_font_search
	jne .L209
	addl $-8,%esp
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_get_path
	addl $16,%esp
	movl %eax,%eax
	pushl %eax
	pushl $.LC39
	call printf
	addl $16,%esp
.L209:
	movl 20(%ebp),%eax
	pushl %eax
	movl 16(%ebp),%eax
	pushl %eax
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_get_path
	addl $16,%esp
	movl %eax,%eax
	pushl %eax
	movl 12(%ebp),%eax
	pushl %eax
	call search_file
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	je .L210
	movl -4(%ebp),%edx
	movl %edx,%eax
	jmp .L208
	.p2align 4,,7
.L210:
	addl $-12,%esp
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_get_path
	addl $16,%esp
	movl %eax,%eax
	pushl %eax
	call opendir
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-12(%ebp)
	cmpl $0,-12(%ebp)
	jne .L211
	xorl %eax,%eax
	jmp .L208
	.p2align 4,,7
.L211:
	nop
	.p2align 4,,7
.L212:
	addl $-12,%esp
	movl -12(%ebp),%eax
	pushl %eax
	call readdir
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-20(%ebp)
	cmpl $0,-20(%ebp)
	jne .L214
	jmp .L213
	.p2align 4,,7
.L214:
	addl $-12,%esp
	movl -20(%ebp),%eax
	addl $8,%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,%eax
	cmpl $1,%eax
	jne .L215
	addl $-8,%esp
	pushl $.LC40
	movl -20(%ebp),%eax
	addl $8,%eax
	pushl %eax
	call strcmp
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L215
	jmp .L212
	.p2align 4,,7
.L215:
	addl $-12,%esp
	movl -20(%ebp),%eax
	addl $8,%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,%eax
	cmpl $2,%eax
	jne .L216
	addl $-8,%esp
	pushl $.LC41
	movl -20(%ebp),%eax
	addl $8,%eax
	pushl %eax
	call strcmp
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne .L216
	jmp .L212
	.p2align 4,,7
.L216:
	addl $-4,%esp
	addl $-12,%esp
	movl -20(%ebp),%eax
	addl $8,%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,%eax
	pushl %eax
	movl -20(%ebp),%eax
	addl $8,%eax
	pushl %eax
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_add_name
	addl $16,%esp
	addl $-8,%esp
	leal -116(%ebp),%eax
	pushl %eax
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_get_path
	addl $16,%esp
	movl %eax,%eax
	pushl %eax
	call stat
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-8(%ebp)
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_del_name
	addl $16,%esp
	cmpl $0,-8(%ebp)
	jge .L217
	jmp .L212
	.p2align 4,,7
.L217:
	movl -108(%ebp),%eax
	andl $-4096,%eax
	cmpw $16384,%ax
	jne .L218
	addl $-4,%esp
	leal -116(%ebp),%eax
	pushl %eax
	movl -20(%ebp),%eax
	pushl %eax
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_add_subdir
	addl $16,%esp
.L218:
	jmp .L212
	.p2align 4,,7
.L213:
	addl $-12,%esp
	movl -12(%ebp),%eax
	pushl %eax
	call closedir
	addl $16,%esp
	movl $0,-4(%ebp)
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_subdir_list
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-16(%ebp)
	.p2align 4,,7
.L219:
	cmpl $0,-16(%ebp)
	jne .L222
	jmp .L220
	.p2align 4,,7
.L222:
	addl $-8,%esp
	movl -16(%ebp),%eax
	pushl %eax
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_go_subdir
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jl .L221
	movl 20(%ebp),%eax
	pushl %eax
	movl 16(%ebp),%eax
	pushl %eax
	movl 12(%ebp),%eax
	pushl %eax
	movl 8(%ebp),%eax
	pushl %eax
	call traverse_directory
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	je .L224
	jmp .L220
	.p2align 4,,7
.L224:
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_go_updir
	addl $16,%esp
.L223:
.L221:
	addl $-8,%esp
	movl -16(%ebp),%eax
	pushl %eax
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_next_subdir
	addl $16,%esp
	movl %eax,%eax
	movl %eax,-16(%ebp)
	jmp .L219
	.p2align 4,,7
.L220:
	movl -4(%ebp),%edx
	movl %edx,%eax
	jmp .L208
	.p2align 4,,7
.L208:
	leave
	ret
.Lfe16:
	.size	 traverse_directory,.Lfe16-traverse_directory
	.align 4
	.type	 dtr_elem_alloc,@function
dtr_elem_alloc:
	pushl %ebp
	movl %esp,%ebp
	subl $24,%esp
	addl $-12,%esp
	pushl $128
	call malloc
	addl $16,%esp
	movl %eax,%eax
	movl %eax,%edx
	movl %edx,%eax
	movl %eax,-4(%ebp)
	testl %eax,%eax
	jne .L226
	xorl %eax,%eax
	jmp .L225
	.p2align 4,,7
.L226:
	movl -4(%ebp),%eax
	movl $0,(%eax)
	movl -4(%ebp),%eax
	movl $0,4(%eax)
	movl -4(%ebp),%eax
	movl $0,8(%eax)
	movl -4(%ebp),%eax
	movl $0,12(%eax)
	movl -4(%ebp),%eax
	movl $0,16(%eax)
	movl -4(%ebp),%eax
	movl $0,20(%eax)
	movl -4(%ebp),%eax
	movl -4(%ebp),%edx
	addl $20,%edx
	movl %edx,120(%eax)
	movl -4(%ebp),%eax
	movl -4(%ebp),%edx
	addl $20,%edx
	movl %edx,124(%eax)
	movl -4(%ebp),%edx
	movl %edx,%eax
	jmp .L225
	.p2align 4,,7
.L225:
	leave
	ret
.Lfe17:
	.size	 dtr_elem_alloc,.Lfe17-dtr_elem_alloc
	.align 4
	.type	 dtr_elem_free,@function
dtr_elem_free:
	pushl %ebp
	movl %esp,%ebp
	subl $24,%esp
	movl 8(%ebp),%eax
	movl 124(%eax),%edx
	movl %edx,-4(%ebp)
	.p2align 4,,7
.L228:
	movl 8(%ebp),%eax
	addl $20,%eax
	cmpl %eax,-4(%ebp)
	jne .L230
	jmp .L229
	.p2align 4,,7
.L230:
	movl -4(%ebp),%eax
	movl 104(%eax),%edx
	movl %edx,-8(%ebp)
	addl $-12,%esp
	movl -4(%ebp),%eax
	movl (%eax),%edx
	pushl %edx
	call free
	addl $16,%esp
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call free
	addl $16,%esp
	movl -8(%ebp),%eax
	movl %eax,-4(%ebp)
	jmp .L228
	.p2align 4,,7
.L229:
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call free
	addl $16,%esp
.L227:
	leave
	ret
.Lfe18:
	.size	 dtr_elem_free,.Lfe18-dtr_elem_free
	.align 4
	.type	 dtr_alloc,@function
dtr_alloc:
	pushl %ebp
	movl %esp,%ebp
	subl $116,%esp
	pushl %ebx
	addl $-12,%esp
	pushl $1032
	call malloc
	addl $16,%esp
	movl %eax,%eax
	movl %eax,%edx
	movl %edx,%eax
	movl %eax,-4(%ebp)
	testl %eax,%eax
	jne .L232
	xorl %eax,%eax
	jmp .L231
	.p2align 4,,7
.L232:
	movl -4(%ebp),%eax
	movl $0,1024(%eax)
	movl -4(%ebp),%eax
	movl $0,1028(%eax)
	addl $-8,%esp
	movl 8(%ebp),%eax
	pushl %eax
	movl -4(%ebp),%eax
	pushl %eax
	call strcpy
	addl $16,%esp
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call vf_path_del_terminating_2delims
	addl $16,%esp
	addl $-8,%esp
	leal -104(%ebp),%eax
	pushl %eax
	movl -4(%ebp),%eax
	pushl %eax
	call stat
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jge .L233
	jmp .L234
	.p2align 4,,7
.L233:
	call dtr_elem_alloc
	movl %eax,%eax
	movl %eax,-8(%ebp)
	cmpl $0,-8(%ebp)
	jne .L235
	jmp .L234
	.p2align 4,,7
.L235:
	movl -4(%ebp),%eax
	movl -8(%ebp),%edx
	movl %edx,1024(%eax)
	movl -4(%ebp),%eax
	movl -8(%ebp),%edx
	movl %edx,1028(%eax)
	movl -8(%ebp),%ebx
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,(%ebx)
	movl -8(%ebp),%eax
	movl -104(%ebp),%edx
	movl %edx,4(%eax)
	movl -8(%ebp),%eax
	movl -100(%ebp),%edx
	movl %edx,8(%eax)
	movl -4(%ebp),%edx
	movl %edx,%eax
	jmp .L231
	.p2align 4,,7
.L234:
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call dtr_free
	addl $16,%esp
	xorl %eax,%eax
	jmp .L231
	.p2align 4,,7
.L231:
	movl -120(%ebp),%ebx
	leave
	ret
.Lfe19:
	.size	 dtr_alloc,.Lfe19-dtr_alloc
	.align 4
	.type	 dtr_free,@function
dtr_free:
	pushl %ebp
	movl %esp,%ebp
	subl $24,%esp
	cmpl $0,8(%ebp)
	jne .L237
	jmp .L236
	.p2align 4,,7
.L237:
	movl 8(%ebp),%eax
	movl 1024(%eax),%edx
	movl %edx,-4(%ebp)
	.p2align 4,,7
.L238:
	cmpl $0,-4(%ebp)
	jne .L240
	jmp .L239
	.p2align 4,,7
.L240:
	movl -4(%ebp),%eax
	movl 12(%eax),%edx
	movl %edx,-8(%ebp)
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call dtr_elem_free
	addl $16,%esp
	movl -8(%ebp),%eax
	movl %eax,-4(%ebp)
	jmp .L238
	.p2align 4,,7
.L239:
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call free
	addl $16,%esp
.L236:
	leave
	ret
.Lfe20:
	.size	 dtr_free,.Lfe20-dtr_free
	.align 4
	.type	 dtr_get_path,@function
dtr_get_path:
	pushl %ebp
	movl %esp,%ebp
	movl 8(%ebp),%edx
	movl %edx,%eax
	jmp .L241
	.p2align 4,,7
.L241:
	leave
	ret
.Lfe21:
	.size	 dtr_get_path,.Lfe21-dtr_get_path
	.align 4
	.type	 dtr_add_subdir,@function
dtr_add_subdir:
	pushl %ebp
	movl %esp,%ebp
	subl $20,%esp
	pushl %ebx
	addl $-12,%esp
	pushl $108
	call malloc
	addl $16,%esp
	movl %eax,%eax
	movl %eax,%edx
	movl %edx,%eax
	movl %eax,-4(%ebp)
	testl %eax,%eax
	jne .L243
	movl $-1,%eax
	jmp .L242
	.p2align 4,,7
.L243:
	addl $-12,%esp
	addl $-12,%esp
	movl 12(%ebp),%eax
	addl $8,%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,%eax
	leal 1(%eax),%edx
	pushl %edx
	call malloc
	addl $16,%esp
	movl %eax,%eax
	movl %eax,%edx
	movl -4(%ebp),%eax
	movl %edx,%edx
	movl %edx,(%eax)
	testl %edx,%edx
	jne .L244
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call free
	addl $16,%esp
	movl $-1,%eax
	jmp .L242
	.p2align 4,,7
.L244:
	addl $-4,%esp
	addl $-12,%esp
	movl 12(%ebp),%eax
	addl $8,%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,%eax
	pushl %eax
	movl 12(%ebp),%eax
	addl $8,%eax
	pushl %eax
	movl -4(%ebp),%eax
	movl (%eax),%edx
	pushl %edx
	call memcpy
	addl $16,%esp
	movl -4(%ebp),%ebx
	addl $-12,%esp
	movl 12(%ebp),%eax
	addl $8,%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,%eax
	movl (%ebx),%edx
	movb $0,(%eax,%edx)
	addl $-4,%esp
	pushl $96
	movl 16(%ebp),%eax
	pushl %eax
	movl -4(%ebp),%eax
	addl $4,%eax
	pushl %eax
	call memcpy
	addl $16,%esp
	movl 8(%ebp),%eax
	movl 1028(%eax),%edx
	addl $20,%edx
	movl %edx,-8(%ebp)
	movl -8(%ebp),%eax
	movl 104(%eax),%edx
	movl %edx,-12(%ebp)
	movl -4(%ebp),%eax
	movl -12(%ebp),%edx
	movl %edx,104(%eax)
	movl -4(%ebp),%eax
	movl -8(%ebp),%edx
	movl %edx,100(%eax)
	movl -8(%ebp),%eax
	movl -4(%ebp),%edx
	movl %edx,104(%eax)
	movl -12(%ebp),%eax
	movl -4(%ebp),%edx
	movl %edx,100(%eax)
	xorl %eax,%eax
	jmp .L242
	.p2align 4,,7
.L242:
	movl -24(%ebp),%ebx
	leave
	ret
.Lfe22:
	.size	 dtr_add_subdir,.Lfe22-dtr_add_subdir
	.align 4
	.type	 dtr_go_subdir,@function
dtr_go_subdir:
	pushl %ebp
	movl %esp,%ebp
	subl $20,%esp
	pushl %ebx
	addl $-4,%esp
	addl $-12,%esp
	movl 12(%ebp),%eax
	movl (%eax),%edx
	pushl %edx
	call strlen
	addl $16,%esp
	movl %eax,%eax
	pushl %eax
	movl 12(%ebp),%eax
	movl (%eax),%edx
	pushl %edx
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_add_name
	addl $16,%esp
	movl %eax,%eax
	testl %eax,%eax
	jge .L246
	movl $-1,%eax
	jmp .L245
	.p2align 4,,7
.L246:
	nop
	movl 8(%ebp),%eax
	movl 1024(%eax),%edx
	movl %edx,-8(%ebp)
	.p2align 4,,7
.L247:
	cmpl $0,-8(%ebp)
	jne .L250
	jmp .L248
	.p2align 4,,7
.L250:
	movl -8(%ebp),%eax
	movl 12(%ebp),%edx
	movl 4(%eax),%eax
	cmpl 4(%edx),%eax
	jne .L249
	movl -8(%ebp),%eax
	movl 12(%ebp),%edx
	movl 8(%eax),%eax
	cmpl 8(%edx),%eax
	jne .L249
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_del_name
	addl $16,%esp
	movl $-1,%eax
	jmp .L245
	.p2align 4,,7
.L251:
.L249:
	movl -8(%ebp),%eax
	movl 12(%eax),%edx
	movl %edx,-8(%ebp)
	jmp .L247
	.p2align 4,,7
.L248:
	call dtr_elem_alloc
	movl %eax,%eax
	movl %eax,-4(%ebp)
	cmpl $0,-4(%ebp)
	jne .L252
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_del_name
	addl $16,%esp
	movl $-1,%eax
	jmp .L245
	.p2align 4,,7
.L252:
	movl -4(%ebp),%ebx
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call strlen
	addl $16,%esp
	movl %eax,(%ebx)
	movl -4(%ebp),%eax
	movl 12(%ebp),%edx
	movl 4(%edx),%ecx
	movl %ecx,4(%eax)
	movl -4(%ebp),%eax
	movl 12(%ebp),%edx
	movl 8(%edx),%ecx
	movl %ecx,8(%eax)
	movl -4(%ebp),%eax
	movl 8(%ebp),%edx
	movl 1028(%edx),%ecx
	movl %ecx,16(%eax)
	movl 8(%ebp),%eax
	movl 1028(%eax),%edx
	movl -4(%ebp),%eax
	movl %eax,12(%edx)
	movl 8(%ebp),%eax
	movl -4(%ebp),%edx
	movl %edx,1028(%eax)
	xorl %eax,%eax
	jmp .L245
	.p2align 4,,7
.L245:
	movl -24(%ebp),%ebx
	leave
	ret
.Lfe23:
	.size	 dtr_go_subdir,.Lfe23-dtr_go_subdir
.section	.rodata
	.align 32
.LC42:
	.string	"FATAL: CANNOT HAPPEN --- in dtr_go_updir().\n"
.text
	.align 4
	.type	 dtr_go_updir,@function
dtr_go_updir:
	pushl %ebp
	movl %esp,%ebp
	subl $24,%esp
	movl 8(%ebp),%eax
	movl 1028(%eax),%edx
	movl %edx,-4(%ebp)
	cmpl $0,-4(%ebp)
	jne .L254
	addl $-8,%esp
	pushl $.LC42
	pushl $__sF+176
	call fprintf
	addl $16,%esp
	addl $-12,%esp
	pushl $1
	call exit
	addl $16,%esp
	.p2align 4,,7
.L254:
	movl -4(%ebp),%eax
	movl 16(%eax),%edx
	movl $0,12(%edx)
	movl 8(%ebp),%eax
	movl -4(%ebp),%edx
	movl 16(%edx),%ecx
	movl %ecx,1028(%eax)
	addl $-12,%esp
	movl -4(%ebp),%eax
	pushl %eax
	call dtr_elem_free
	addl $16,%esp
	addl $-12,%esp
	movl 8(%ebp),%eax
	pushl %eax
	call dtr_del_name
	addl $16,%esp
	xorl %eax,%eax
	jmp .L253
	.p2align 4,,7
.L253:
	leave
	ret
.Lfe24:
	.size	 dtr_go_updir,.Lfe24-dtr_go_updir
	.align 4
	.type	 dtr_subdir_list,@function
dtr_subdir_list:
	pushl %ebp
	movl %esp,%ebp
	subl $24,%esp
	movl 8(%ebp),%eax
	movl 1028(%eax),%edx
	movl 120(%edx),%eax
	movl %eax,-4(%ebp)
	movl 8(%ebp),%edx
	movl 1028(%edx),%ecx
	addl $20,%ecx
	cmpl %ecx,%eax
	jne .L256
	xorl %eax,%eax
	jmp .L255
	.p2align 4,,7
.L256:
	movl -4(%ebp),%edx
	movl %edx,%eax
	jmp .L255
	.p2align 4,,7
.L255:
	leave
	ret
.Lfe25:
	.size	 dtr_subdir_list,.Lfe25-dtr_subdir_list
	.align 4
	.type	 dtr_next_subdir,@function
dtr_next_subdir:
	pushl %ebp
	movl %esp,%ebp
	subl $24,%esp
	movl 12(%ebp),%edx
	movl 100(%edx),%eax
	movl %eax,-4(%ebp)
	movl 8(%ebp),%edx
	movl 1028(%edx),%ecx
	addl $20,%ecx
	cmpl %ecx,%eax
	jne .L258
	xorl %eax,%eax
	jmp .L257
	.p2align 4,,7
.L258:
	movl -4(%ebp),%edx
	movl %edx,%eax
	jmp .L257
	.p2align 4,,7
.L257:
	leave
	ret
.Lfe26:
	.size	 dtr_next_subdir,.Lfe26-dtr_next_subdir
	.align 4
	.type	 dtr_add_name,@function
dtr_add_name:
	pushl %ebp
	movl %esp,%ebp
	subl $20,%esp
	pushl %ebx
	movl 8(%ebp),%eax
	movl 1028(%eax),%edx
	movl (%edx),%eax
	movl %eax,-8(%ebp)
	movl vf_directory_delimiter,%eax
	movl %eax,-4(%ebp)
	.p2align 4,,7
.L260:
	movl -4(%ebp),%eax
	cmpb $0,(%eax)
	jne .L263
	jmp .L261
	.p2align 4,,7
.L263:
	movl 8(%ebp),%eax
	movl -8(%ebp),%edx
	movl -4(%ebp),%ecx
	movb (%ecx),%bl
	movb %bl,(%edx,%eax)
	incl -8(%ebp)
.L262:
	incl -4(%ebp)
	jmp .L260
	.p2align 4,,7
.L261:
	nop
	.p2align 4,,7
.L264:
	cmpl $0,16(%ebp)
	jg .L266
	jmp .L265
	.p2align 4,,7
.L266:
	movl 8(%ebp),%eax
	movl -8(%ebp),%edx
	movl 12(%ebp),%ecx
	movb (%ecx),%bl
	movb %bl,(%edx,%eax)
	incl 12(%ebp)
	incl -8(%ebp)
	decl 16(%ebp)
	jmp .L264
	.p2align 4,,7
.L265:
	movl 8(%ebp),%eax
	movl -8(%ebp),%edx
	movb $0,(%edx,%eax)
	xorl %eax,%eax
	jmp .L259
	.p2align 4,,7
.L259:
	movl -24(%ebp),%ebx
	leave
	ret
.Lfe27:
	.size	 dtr_add_name,.Lfe27-dtr_add_name
	.align 4
	.type	 dtr_del_name,@function
dtr_del_name:
	pushl %ebp
	movl %esp,%ebp
	movl 8(%ebp),%eax
	movl 8(%ebp),%edx
	movl 1028(%edx),%ecx
	movl (%ecx),%edx
	movb $0,(%edx,%eax)
.L267:
	leave
	ret
.Lfe28:
	.size	 dtr_del_name,.Lfe28-dtr_del_name
	.align 4
	.type	 __maskrune,@function
__maskrune:
	pushl %ebp
	movl %esp,%ebp
	subl $16,%esp
	pushl %esi
	pushl %ebx
	movl 8(%ebp),%esi
	movl 12(%ebp),%ebx
	testl %esi,%esi
	jl .L9
	cmpl $255,%esi
	jg .L9
	jmp .L7
	.p2align 4,,7
.L9:
	addl $-12,%esp
	pushl %esi
	call ___runetype
	addl $16,%esp
	movl %eax,%edx
	movl %edx,%eax
	andl %ebx,%eax
	jmp .L8
	.p2align 4,,7
.L7:
	movl _CurrentRuneLocale,%edx
	leal 0(,%esi,4),%ecx
	addl $52,%edx
	movl %ebx,%eax
	andl (%ecx,%edx),%eax
.L8:
	movl %eax,%eax
	jmp .L6
.L6:
	leal -24(%ebp),%esp
	popl %ebx
	popl %esi
	leave
	ret
.Lfe29:
	.size	 __maskrune,.Lfe29-__maskrune
	.comm	vf_dbg_drv_texfonts,4,4
	.comm	vf_tex_default_properties,4,4
	.comm	vf_tex_default_variables,4,4
	.local	pidlist
	.comm	pidlist,4,4
	.ident	"GCC: (GNU) 2.95.2 19991024 (release)"
